## org.eclipse.emf.codegen.jet
Interface JETParseEventListener

All Known Implementing Classes:
  JETCompiler, JETEmitter.MyBaseJETCompiler, JETEmitter.MyJETCompiler, JETParser.DelegatingListener

    public interface JETParseEventListener

The interface for the JET code generation back-end.

Method Summary
`void` `beginPageProcessing()`
`void` `endPageProcessing()`
`void` `handleCharData(char[] chars)`
`void` `handleDirective(java.lang.String directive, JETMark start, JETMark stop, java.util.Map<java.lang.String,java.lang.String> attributes)`
`void` `handleExpression(JETMark start, JETMark stop, java.util.Map<java.lang.String,java.lang.String> attributes)`
`void` `handleScriptlet(JETMark start, JETMark stop, java.util.Map<java.lang.String,java.lang.String> attributes)`

Method Detail

### beginPageProcessing

    void beginPageProcessing()
                             throws JETException

  Throws:
    `JETException`

### handleDirective

    void handleDirective(java.lang.String directive,
                         JETMark start,
                         JETMark stop,
                         java.util.Map<java.lang.String,java.lang.String> attributes)
                         throws JETException

  Throws:
    `JETException`

### handleExpression

    void handleExpression(JETMark start,
                          JETMark stop,
                          java.util.Map<java.lang.String,java.lang.String> attributes)
                          throws JETException

  Throws:
    `JETException`

### handleCharData

    void handleCharData(char[] chars)
                        throws JETException

  Throws:
    `JETException`

### endPageProcessing

    void endPageProcessing()
                           throws JETException

  Throws:
    `JETException`

### handleScriptlet

    void handleScriptlet(JETMark start,
                         JETMark stop,
                         java.util.Map<java.lang.String,java.lang.String> attributes)
                         throws JETException

  Throws:
    `JETException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.